# H235_ECKASDH Class Reference

`#include <h235.h>`

List of all members.

## Public Types

enum | Choices { e_eckasdhp, e_eckasdh2 }

## Public Member Functions

| H235_ECKASDH (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H235_ECKASDH_eckasdhp & ()
| operator const H235_ECKASDH_eckasdhp & () const
| operator H235_ECKASDH_eckasdh2 & ()
| operator const H235_ECKASDH_eckasdh2 & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H235_ECKASDH::Choices

Enumerator:

  e_eckasdhp |
  e_eckasdh2 |

## Constructor & Destructor Documentation

H235_ECKASDH::H235_ECKASDH | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H235_ECKASDH::operator H235_ECKASDH_eckasdhp & | ( |  | ) |

H235_ECKASDH::operator const H235_ECKASDH_eckasdhp & | ( |  | ) | const

H235_ECKASDH::operator H235_ECKASDH_eckasdh2 & | ( |  | ) |

H235_ECKASDH::operator const H235_ECKASDH_eckasdh2 & | ( |  | ) | const

PBoolean H235_ECKASDH::CreateObject | ( |  | ) |

PObject* H235_ECKASDH::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h235.h